<?php
/**
 * Bicycle Libraries
 *
 * Set of libraries wich can help you
 *
 * @package   Bicycle Libraries
 * @author    Konstantin.Myakshin
 * @copyright Copyright (c) 2009-2010, Brouzie, Inc.
 * @license   LGPL
 * @link      http://brouzie.com/projects/bicycle-libraries/
 * @link      http://code.google.com/p/bicycle-libraries/
 * @filesource
 */

class BL_Filesystem_Adapter_Disk
{
	function rmDir($path)
	{
		//TODO: isdir?
		$items = array_diff(scandir($path), array('.', '..'));
		foreach ($items as $item ) {
			$dir = $path . '/' . $item;
			is_dir($dir) ? $this->rmDir($dir) : unlink($dir);
		}
		
		is_dir($path) && rmdir($path);
	}
}
