<?php
/**
 * Bicycle Libraries
 *
 * Set of libraries wich can help you
 *
 * @package   Bicycle Libraries
 * @author    Konstantin.Myakshin
 * @copyright Copyright (c) 2009-2010, Brouzie, Inc.
 * @license   LGPL
 * @link      http://brouzie.com/projects/bicycle-libraries/
 * @link      http://code.google.com/p/bicycle-libraries/
 * @filesource
 */

class BL_Locale
{
	protected $locale;

	protected $langCode;

	public function  __construct($locale)
	{
		$this->locale = $locale;
	}

	protected function autodetect()
	{
		BL_Request::instance()->get('lang');
	}

	public function getLocale()
	{
		return $this->locale;
	}

	public function getLangCode()
	{
		return $this->langCode;
	}

	public function  __toString()
	{
		return $this->getLocale();
	}
}
