<?php
/**
 * Bicycle Libraries
 *
 * Set of libraries wich can help you
 *
 * @package   Bicycle Libraries
 * @author    Konstantin.Myakshin
 * @copyright Copyright (c) 2009-2010, Brouzie, Inc.
 * @license   LGPL
 * @link      http://brouzie.com/projects/bicycle-libraries/
 * @link      http://code.google.com/p/bicycle-libraries/
 * @filesource
 */

class BL_Router_AdminPanel implements BL_Router_Interface
{
	public function parse(&$url)
	{
		$parts = explode('/', $url);
		$data = array(
				'm' => array_shift($parts)
		);

		($do = array_shift($parts)) && $data['do'] = $do;

		if ($size = sizeof($parts)) {
			for ($i = 0; $i < $size; $i += 2) {
				if (isset($parts[$i + 1])) {
					$data[$parts[$i]] = $parts[$i + 1];
				} else {
					$data[$parts[$i]] = NULL;
				}
			}
		}

		return $data;
	}
}
