<?php
/**
 * Bicycle Libraries
 *
 * Set of libraries wich can help you
 *
 * @package   Bicycle Libraries
 * @author    Konstantin.Myakshin
 * @copyright Copyright (c) 2009-2010, Brouzie, Inc.
 * @license   LGPL
 * @link      http://brouzie.com/projects/bicycle-libraries/
 * @link      http://code.google.com/p/bicycle-libraries/
 * @filesource
 */

class BL_Router_Common implements BL_Router_Interface
{
	public function parse(&$url)
	{
		if ($url) {
			$file = explode('/', $_SERVER['SCRIPT_NAME']);
			$file = array_pop($file);
			list($url) = explode('?', $url);
			$url = preg_replace(
				array('#/+#', '#^(/|)(' . preg_quote($file) . '|)(/|)(.*?)#im'),
				array('/', '$4'),
				$url);
			$url = trim($url, '/');
		}
		
		if (!$url) {
			return array();
		}
	}
}
