<?php
/**
 * Bicycle Libraries
 *
 * Set of libraries wich can help you
 *
 * @package   Bicycle Libraries
 * @author    Konstantin.Myakshin
 * @copyright Copyright (c) 2009-2010, Brouzie, Inc.
 * @license   LGPL
 * @link      http://brouzie.com/projects/bicycle-libraries/
 * @link      http://code.google.com/p/bicycle-libraries/
 * @filesource
 */


class BL_Router_Static implements BL_Router_Interface
{
	public function parse(&$url)
	{
		$routers = BL_Settings::get('routers', 'static');
		if (isset($routers[$url])) {
			return $routers[$url];
		}
	}
}
