<?php
/**
 * Bicycle Libraries
 *
 * Set of libraries wich can help you
 *
 * @package   Bicycle Libraries
 * @author    Konstantin.Myakshin
 * @copyright Copyright (c) 2009-2010, Brouzie, Inc.
 * @license   LGPL
 * @link      http://brouzie.com/projects/bicycle-libraries/
 * @link      http://code.google.com/p/bicycle-libraries/
 * @filesource
 */

abstract class BL_Template_BaseTemplateClass extends Twig_Template
{
	protected function getAttribute($object, $item, array $arguments = array(), $arrayOnly = true)
	{
		$item = (string)$item;
		if ((is_array($object) || is_object($object) && $object instanceof ArrayAccess) && isset($object[$item])) {
			return $object[$item];
		}
		return NULL;
  }
}
