<?php
/**
 * Bicycle Libraries
 *
 * Set of libraries wich can help you
 *
 * @package   Bicycle Libraries
 * @author    Konstantin.Myakshin
 * @copyright Copyright (c) 2009-2010, Brouzie, Inc.
 * @license   LGPL
 * @link      http://brouzie.com/projects/bicycle-libraries/
 * @link      http://code.google.com/p/bicycle-libraries/
 * @filesource
 */

interface BL_Translate_DriverWriterInterface
{
	public function addToken($namespace, $token, $isPlural = false);

	public function addTranslation($namespace, $token, $langCode, $pluralForm, $translation);

	public function removeNamespace($namespace, $langCode = NULL);

	public function removeToken($namespace, $token, $langCode = NULL, $pluralForm = NULL);

	public function save();
}
