<?php
//TODO: rename to static.php
define('CACHE_DIR', 'var/cache/static/gzipped/');
define('EXT', '.gz');

$file = empty($_GET['file']) ? NULL : $_GET['file'];
$file = trim($file, '/');
$_file = $file;
if (!$file) {
	exit(header('HTTP/1.0 403 Forbidden'));
}

$file = substr($file, strlen(CACHE_DIR), - strlen(EXT));

if (!file_exists($file)) {
	exit(header('HTTP/1.1 404 Not Found'));
}

function file_force_contents($dir, $contents, $flags = NULL, $context = NULL)
{
	$parts = explode('/', $dir);
	$file = array_pop($parts);
	clearstatcache();
	$dir = implode('/', $parts) . '/';
	if (!file_exists($dir)) {
		mkdir($dir, 0777, true);
	}
	
	file_put_contents($dir . $file, $contents, $flags, $context);
}

$ext = array_pop(explode('.', $file));
if ($ext == 'css') {
	header('Content-type: text/css');
} elseif ($ext == 'js') {
	header('Content-type: application/javascript');
} else {
	die('unsupported file format');
}

$data = gzencode(file_get_contents($file), 9);
file_force_contents($_file, $data);
header('Content-Encoding: gzip');
echo $data;
