<?php

class BL_Session_Light
{
	protected $namespaces = array();

	protected $id = '';

	protected $data = array();

	public function __construct(BL_Session $sessionObj, $id, $data)
	{
		$this->id   = $id;
		$this->data = $sessionObj->getSerializer()->unserialize($data);
	}

	/**
	 *
	 * @param string $name
	 * @return BL_Session_Namespace
	 */
	public function ns($name)
	{
		//TODO: use lazy loading of data?
		return isset($this->namespaces[$name]) ? $this->namespaces[$name] :
			$this->namespaces[$name] = new BL_Session_Namespace($this, $name, $this->data);
	}

	public function id()
	{
		return $this->id;
	}
}
