<?php
/**
 * Bicycle Libraries
 *
 * Set of libraries wich can help you
 *
 * @package   Bicycle Libraries
 * @author    Konstantin.Myakshin
 * @copyright Copyright (c) 2009-2010, Brouzie, Inc.
 * @license   LGPL
 * @link      http://brouzie.com/projects/bicycle-libraries/
 * @link      http://code.google.com/p/bicycle-libraries/
 * @filesource
 */

class BL_Template_Extension_Core extends Twig_Extension_Core
{
	public function getTokenParsers()
	{
		return array(
			new BL_Template_TokenParser_For(),
			new BL_Template_TokenParser_Resource(),
			new BL_Template_TokenParser_Widget(),
			new Twig_TokenParser_If(),
			new Twig_TokenParser_Extends(),
			new Twig_TokenParser_Include(),
			new Twig_TokenParser_Block(),
			new Twig_TokenParser_Parent(),
			new Twig_TokenParser_Display(),
			new Twig_TokenParser_Filter(),
			new Twig_TokenParser_Set(),
			new Twig_TokenParser_Debug(),
		);
	}
}
