<?php

class BL_TreeStructure_Driver_AdjacencyList extends BL_TreeStructure_DriverAbstract
{
	public function addNode($data, $parentId = 0, $sorder = NULL)
	{
		//TODO: sorder
		$t = $this->options['table'];

		$data['pid'] = $parentId;
		$this->db->multiQuery("
			SET @sorder =(SELECT MAX(sorder) FROM :$t WHERE pid=?i)+1;
			SET @sorder = IF(@sorder > 0, @sorder, 1);
			INSERT INTO :$t SET ?@, sorder=@sorder", $parentId, $data);

		return $this->db->getInsertId();
	}

	public function changeParent($nodeId, $parentId, $sorder = NULL)
	{
		//TODO: sorder
		$t = $this->options['table'];
		$this->db->multiQuery("
			SET @what = ?i;
			SET @where = ?i;

			SET @sorder = (SELECT MAX(sorder) FROM :$t WHERE pid=@where AND id<>@what)+1;
			SET @sorder = IF(@sorder > 0, @sorder, 1);

			UPDATE :$t SET pid=@where, sorder=@sorder WHERE id=@what;",
			$nodeId, $relNodeId);
	}

	public function before($nodeId, $relNodeId)
	{
		$t = $this->options['table'];
		$this->db->multiQuery("
			SET @what = ?i;
			SET @where = ?i;

			SET @pid = (SELECT pid FROM :$t WHERE id=@where);
			SET @sorder = (SELECT sorder FROM :$t WHERE id=@where);

			UPDATE :$t SET pid=@pid, sorder=@sorder-1 WHERE id=@what;",
			$nodeId, $relNodeId);
	}

	public function after($nodeId, $relNodeId)
	{
		$t = $this->options['table'];
		$this->db->multiQuery("
			SET @what = ?i;
			SET @where = ?i;

			SET @pid = (SELECT pid FROM :$t WHERE id=@where);
			SET @sorder = (SELECT sorder FROM :$t WHERE id=@where);

			UPDATE :$t SET sorder=sorder+1 WHERE pid=@pid AND sorder>@sorder;
			UPDATE :$t SET pid=@pid, sorder=@sorder+1 WHERE id=@what;",
			$nodeId, $relNodeId);
	}

	public function remove($nodeId)
	{

	}

	public function hasChilds($nodeId)
	{

	}

	public function getSorder($nodeId)
	{

	}
}
